Categories
Category Get
Get information about a category.
GET
Get information about a category.
cookie
storyden-session<token>category_slug*stringUnique category URL slug.
OK
application/json- response
id*IdentifierParent category identifier. Unset indicates a root-level category.
Format
xidcreatedAt*stringThe time the resource was created.
Format
date-timeupdatedAt*stringThe time the resource was updated.
Format
date-timedeletedAt?stringThe time the resource was soft-deleted.
Format
date-timemisc?Arbitrary extra data stored with the resource.
name*CategoryNameA category's user-facing name.
slug*CategorySlugA category's URL-safe slug.
description*stringcolour*stringsort*integerparent?IdentifierParent category identifier. Unset indicates a root-level category.
Format
xidcover_image?children*array<>meta?Arbitrary metadata for the resource.
postCount*integercurl -X GET 'https://example.com/api/categories/string'Example Response
{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "deletedAt": "2019-08-24T14:15:22Z", "misc": {}, "name": "string", "slug": "string", "description": "string", "colour": "string", "sort": 0, "parent": "string", "cover_image": { "id": "string", "filename": "string", "path": "string", "mime_type": "string", "width": 0, "height": 0, "parent": {} }, "children": [ {} ], "meta": {}, "postCount": 0}